PropertyExecutor (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.PropertyExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class PropertyExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.AbstractExecutor
          org.apache.velocity.runtime.parser.node.PropertyExecutor

Direct Known Subclasses:
  BooleanPropertyExecutor

public class PropertyExecutor
extends AbstractExecutor

Returned the value of object property when executed.

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`log`

Constructor Summary
`PropertyExecutor(Log log, Introspector introspector, Class clazz, String property)`
`PropertyExecutor(RuntimeLogger r, Introspector introspector, Class clazz, String property)` Deprecated. RuntimeLogger is deprecated. Use the other constructor.

Method Summary
`protected void` | `discover(Class clazz, String property)`
`Object` | `execute(Object o)` Execute method against context.
`protected Introspector` | `getIntrospector()`

Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`getMethod, isAlive, setMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyExecutor

    public PropertyExecutor(Log log,
                            Introspector introspector,
                            Class clazz,
                            String property)

Parameters:
  `log` -
  `introspector` -
  `clazz` -
  `property` -
Since:
  1.5

### PropertyExecutor

    public PropertyExecutor(RuntimeLogger r,
                            Introspector introspector,
                            Class clazz,
                            String property)

  Deprecated. RuntimeLogger is deprecated. Use the other constructor.

Parameters:
  `r` -
  `introspector` -
  `clazz` -
  `property` -

Method Detail

### getIntrospector

    protected Introspector getIntrospector()

  Returns:
    The current introspector.
  Since:
    1.5

### discover

    protected void discover(Class clazz,
                            String property)

  Parameters:
    `clazz` -
    `property` -

### execute

    public Object execute(Object o)
                   throws IllegalAccessException,
                          InvocationTargetException

  Description copied from class: `AbstractExecutor`
  Execute method against context.

  Specified by:
    `execute` in class `AbstractExecutor`
  Parameters:
    `o` -
  Returns:
    The resulting object.
  Throws:
    `InvocationTargetException`
    `IllegalAccessException`
  See Also:
    `AbstractExecutor.execute(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.